%define name            cweb
%define version         3.64
%define	texmfdir	%{_datadir}/texmf

%define build_docs 0

Summary:	The CWEB System of Structured Documentation
Name:		%{name}
Version:	%{version}
Release:	1mdk
License:	Distributable (see README)
Group:		Publishing
Source0:	ftp://labrea.stanford.edu/pub/cweb/%{name}-%{version}.tar.bz2
Url:		http://www-cs-faculty.stanford.edu/~knuth/cweb.html
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	tetex tetex-dvipdfm
Requires:	/usr/bin/env tetex gcc

%description
CWEB is a software system that facilitates the creation of readable
programs. It allows you to prepare a signle document containing all
the information that is needed both to produce a compilabe C program
and to produce a well formatted document describing the program in as
much detail as the writer may desire. The user of CWEB ought to be
familiar with TeX as well as C.

%prep
%setup -q -c %{name}-%{ersion}

%build
make CFLAGS="$RPM_OPT_FLAGS" CWEBINPUTS=%{_libdir}/cweb
%if %build_docs
make usermanual fullmanual
make PDFTEX=pdftex cweave.pdf ctangle.pdf common.pdf
dvipdfm cwebman
%endif
perl -pi -e 's@/usr/local/src/cweb/examples@%{_libdir}/cweb/examples@; \
	s@/usr/local/lib/cweb@%{_libdir}/cweb@; \
	s@/usr/local/src/cweb/cwebman.tex@%{_docdir}/%{name}-%{version}/cwebman.tex@; \
	s@/usr/local/lib/tex/inputs/@%{texmfdir}/tex/generic/misc/@' \
	cweb.1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp \
	$RPM_BUILD_ROOT%{_libdir}/cweb/examples \
	$RPM_BUILD_ROOT%{texmfdir}/tex/generic/misc
make install DESTDIR=$RPM_BUILD_ROOT%{_bindir}/ \
	MANEXT=1 \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	MACROSDIR=$RPM_BUILD_ROOT%{texmfdir}/tex/generic/misc \
	EMACSDIR=$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp \
	CWEBINPUTS=$RPM_BUILD_ROOT%{_libdir}/cweb
install -m 644 examples/* $RPM_BUILD_ROOT%{_libdir}/cweb/examples
ln -s ./cweb.1 $RPM_BUILD_ROOT%{_mandir}/man1/cweave.1
ln -s ./cweb.1 $RPM_BUILD_ROOT%{_mandir}/man1/ctangle.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%files
%defattr(-,root,root)
%doc cwebman.tex README
%if %build_docs
%doc cweave.pdf ctangle.pdf common.pdf cwebman.pdf cwebman.dvi 
%endif
%{_bindir}/*
%{_libdir}/cweb
%{_datadir}/emacs/site-lisp/*
%{_mandir}/man1/*.1*
%{texmfdir}/tex/generic/*

%changelog
* Wed Feb 27 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.64-1mdk
- initial release.
